package io.reisub.dreambot.cshopper;

public enum Trader {
    CUSTOM("custom..."),
    LUNDAIL("Lundail", "mage arena rune shop");

    private final String name;
    private final String info;

    private String customName;

    Trader(String name) {
        this(name, "");
    }

    Trader(String name, String info) {
        this.name = name;
        this.info = info;
    }

    public String getName() {
        if (customName == null || customName.equals("")) {
            return name;
        } else {
            return customName;
        }
    }

    public String getInfo() {
        return info;
    }

    @Override
    public String toString() {
        if (info.equals("")) {
            return name;
        } else {
            return name + " (" + info + ")";
        }
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }
}
