package io.reisub.dreambot.util.ui;

import javax.swing.*;
import java.awt.*;

public class Parameter {
    private final String name;
    private final Component component;

    public Parameter(String name) {
        JTextField textField = new JTextField(10);

        this.name = name;
        this.component = textField;
    }

    public Parameter(String name, Component component) {
        this.name = name;
        this.component = component;
    }

    public String getName() {
        return name;
    }

    public Component getComponent() {
        return component;
    }
}
